Commit bac61c61 authored by Adam Knapp's avatar Adam Knapp
Browse files

Updating test cases



Change-Id: Id46f68891b6daf35f237bcc67ca860112b6454b1
Signed-off-by: default avatarAdam Knapp <adam.knapp@sigmatechnology.se>
parent a55a430a
......@@ -91,17 +91,14 @@ with {
/* test major.minor.patch version format */
extension "requiresTITAN 7.2.1"; /* This one must just pass */
extension "requiresTITAN 7.1"; //^error: syntax error, unexpected $end, expecting '.'//
extension "requiresTITAN 7.1"; //^error: syntax error, unexpected \$end, expecting '.'//
extension "requiresTITAN 1.0.1"; /* This one must just pass */
extension "requiresTITAN 0.2.1"; /* This one must just pass, the next one must just fail */
extension "requiresTITAN 77.2.1"; //^error: This module needs to be compiled with TITAN version 77.2.1 or higher; version 7.2.1 detected//
extension "requiresTITAN 99999999999.2.1"; //^error: This module needs to be compiled with TITAN version 1410065407.2.1 or higher; version 7.2.1 detected//
extension "requiresTITAN 77.22.1"; //^error: This module needs to be compiled with TITAN version 77.22.1 or higher; version 7.2.1 detected//
extension "requiresTITAN 77.2.1"; //^error: This module needs to be compiled with TITAN version 77.2.1 or higher; version \d+\.\d+\.\d+ detected//
extension "requiresTITAN 77.22.1"; //^error: This module needs to be compiled with TITAN version 77.22.1 or higher; version \d+\.\d+\.\d+ detected//
extension "requiresTITAN 6.22.1"; /* This one must just pass */
extension "requiresTITAN 77.99999999999.1"; //^error: This module needs to be compiled with TITAN version 77.1410065407.1 or higher; version 7.2.1 detected//
extension "requiresTITAN 7.2.11"; //^error: This module needs to be compiled with TITAN version 7.2.11 or higher; version 7.2.1 detected//
extension "requiresTITAN 7.2.11"; //^error: This module needs to be compiled with TITAN version 7.2.11 or higher; version \d+\.\d+\.\d+ detected//
extension "requiresTITAN 4.2.11"; /* This one must just pass */
extension "requiresTITAN 77.2.99999999999"; //^error: This module needs to be compiled with TITAN version 77.2.1215752191 or higher; version 7.2.1 detected//
extension "requiresTITAN .2.1"; //^error: at or before token `.': syntax error, unexpected '.', expecting Identifier or Number//
extension "requiresTITAN 77..1"; //^error: at or before token `.': syntax error, unexpected '.', expecting Number//
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment